Package fr.gouv.vitam.functional.administration.rest

# Class ArchiveUnitProfileResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.ArchiveUnitProfileResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class ArchiveUnitProfileResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_UNIT_PROFILE_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitProfileResource(ArchiveUnitProfileService archiveUnitProfileService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `createProfiles(List<ArchiveUnitProfileModel> archiveUnitProfileModelList, jakarta.ws.rs.core.UriInfo uri)`
  Import a set of DocumentTypes.
  `jakarta.ws.rs.core.Response`
  `findProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find archive unit profiles by queryDsl
  `jakarta.ws.rs.core.Response`
  `updateProfileFile(String profileMetadataId, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update metadata of the archive unit profile

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ARCHIVE_UNIT_PROFILE_URI

    public static final String ARCHIVE_UNIT_PROFILE_URI
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ArchiveUnitProfileResource

    public ArchiveUnitProfileResource(ArchiveUnitProfileService archiveUnitProfileService)
    Parameters:
      `archiveUnitProfileService` -

- ## Method Details

  - ### createProfiles

    @Path("/archiveunitprofiles") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response createProfiles(List<ArchiveUnitProfileModel> archiveUnitProfileModelList, @Context jakarta.ws.rs.core.UriInfo uri)
    Import a set of DocumentTypes. If all the DocumentTypes are valid, they will be stored in the collection and indexed. The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many document types having the same identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many document type already exist in the database
    Parameters:
      `archiveUnitProfileModelList` - as InputStream
      `uri` - the uri info
    Returns:
      Response

  - ### updateProfileFile

    @Path("/archiveunitprofiles/{id}") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateProfileFile(@PathParam("id") String profileMetadataId, com.fasterxml.jackson.databind.JsonNode queryDsl)
    Update metadata of the archive unit profile
    Parameters:
      `profileMetadataId` - profile ID to update
      `queryDsl` - update query
    Returns:
      Response

  - ### findProfiles

    @GET @Path("/archiveunitprofiles") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)
    Find archive unit profiles by queryDsl
    Parameters:
      `queryDsl` -
    Returns:
      Response